---
- name: Converge
  hosts: all
  tasks:
  - include_tasks: prepare-common.yml

  - name: Ensure sudo package is installed
    package:
      name: sudo

  - name: Ensure nss package is updated
    package:
      name: nss
      state: latest

  - include_role:
      name: ipaserver
    vars:
      ipaserver_setup_dns: yes
      ipaserver_setup_kra: yes
      ipaserver_auto_forwarders: yes
      ipaserver_no_dnssec_validation: yes
      ipaserver_auto_reverse: yes
      ipaadmin_password: SomeADMINpassword
      ipadm_password: SomeDMpassword
      ipaserver_domain: test.local
      ipaserver_realm: TEST.LOCAL
